<!DOCTYPE html>
<html>

	<head>
		<meta charset="UTF-8">
		<title>sage</title>
		<link rel="stylesheet" type="text/css" href="css/easyui.css">
		<link rel="stylesheet" type="text/css" href="css/icon.css">
		<script type="text/javascript" src="js/lib/jquery.min.js"></script>
		<script type="text/javascript" src="js/lib/jquery.easyui.min.js"></script>
	</head>

	<body>
		<div class="common_content_title"></div>
			<div class="seach_form_box box_shadow border5 clearfix">
			<div class="seach_form">
				<form id="complainSearchForm" action="" method="post">
					<ul class="clearfix">
						<li style="width:204px; margin-right:10px;">
							<div>
								<span>会员编号:</span>
								 <input class="form-control" type="text" name="memberCode"></input> 
							</div>
						</li>
						<li style="width:204px; margin-right:10px;">
							<div>
								<span>名称:</span>
								<input class="form-control" type="text" name="personName"></input>
							</div>
						</li>
						<!-- <li style="width:204px; margin-right:10px;">
							<div>
								<span>所在地:</span>
								<input class="form-control" type="text" name="mobile"></input>
							</div>
						</li> -->
						<!-- <li style="width:204px; margin-right:10px;">
							<div>
								<span>是否会员:</span>
								<input type="hidden" name="isMember" id="" value="" />
								<input size="16" type="text" class="form-control" value="---全部---" input-type="select" >
								<ul class="dropdown-menu" data="$.IS_MEMBER">
									<li data-id="" ><a href="javascript:;">---全部---</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li> -->
						<li style="width:204px; margin-right:10px;">
							<div>
								<span>手机号:</span>
								<input class="form-control" type="text" name="mobile"></input>
							</div>
						</li>
						<li style="width:204px; margin-right:10px;">
							<div>
								<span>日期</span>
								<input id="startTime" name="greaterEqualDate" class="Wdate date_input" type="text" onFocus="WdatePicker({maxDate:'#F{$dp.$D(\'endTime\')||\'2099-12-31\'}'})"/>
							</div>
						</li>
						<li style="width:204px; margin-right:10px;">
							<div>
								<span>至</span>
								<input id="endTime" name="lessEqualDate" class="Wdate date_input" type="text" onFocus="WdatePicker({minDate:'#F{$dp.$D(\'startTime\')}',maxDate:'2099-12-31'})"/>
							</div>
						</li>
						<li style="width:204px; margin-right:10px;">
							<div>
								<span>意见类型:</span>
								<input type="hidden" name="complainTypeId" id="" value="" />
								<input size="16" type="text" class="form-control" value="---全部---" input-type="select" >
								<ul class="dropdown-menu" url-options="url:'/complainController/showComplainType.do',value:'complainTypeId',text:'complainTypeName'">
									<li data-id="" ><a href="javascript:;">---全部---</a></li>
								</ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
					</ul>
					<button id="search_btn" type="button" class="btn common_content_seacch_btn" ></button>
				</form>
			</div>
		</div>
		<div class="common_content_btnList clearfix">
			<button id="searchComplainDetail" type="button" class="btn btn-success btn-block">查看</button>
			<button id="closeComplainDetail" type="button" class="btn btn-success btn-block">关闭</button>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="complainTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'get'">
				<thead>
					<tr>
						<th data-options="field:'statusId',width:125,align:'center',halign:'center',formatter : function(value, row, index) {return $.Complain_Status.getText(value);}">状态</th>
						<th data-options="field:'complainCode',width:125,align:'center',halign:'center'">服务单号</th>
						<th data-options="field:'personName',width:160,align:'center',halign:'center'">姓名</th>
						<th data-options="field:'mobile',width:150,align:'center',halign:'center'">手机号</th>
						<th data-options="field:'storeName',width:150,align:'center',halign:'center'">门店</th>
						<th data-options="field:'createTime',width:160,align:'center',halign:'center',formatter:function(value, row, index) {return getDateString(value);}" >日期</th>
						<th data-options="field:'updateTime',width:160,align:'center',halign:'center',formatter:function(value, row, index) {return getDateString(value);}" >处理日期</th>
						<th data-options="field:'complainTypeName',width:125,align:'center',halign:'center'">意见类型</th>
						<th data-options="field:'complainDesc',width:125,align:'center',halign:'center'">内容</th>
						<th data-options="field:'remark',width:125,align:'center',halign:'center'">处理结果</th>
						<th data-options="field:'operatorName',width:125,align:'center',halign:'center'">处理人</th>
					</tr>
				</thead>
			</table>
		</div>
		<div id="dealComplainResult" class="mask clearfix none">
			<div class="detailed xitongpeizhi_detailed tabPanel" style="width:500px;padding-top:2px;">
				<button type="button" class="icon detailed_close"></button>
				<div class="common_content_title" style="border-bottom:1px solid #ccc;padding-bottom:10px;">处理结果</div>
				<div>
					<form id="save_form">
						<div class="row" style="margin-bottom:1px;">
							<div class="col-xs-2 msg">服务单号</div>
							<div class="col-xs-2 msg" id="complainServiceId" style="font-size:16px"></div>
						</div>
						<div class="row" style="margin-bottom:1px;">
							<div class="col-xs-2 msg">处理结果</div>
						</div>
						<div>
							<textarea id="complainContent" style="width: 100%;height: 100px;border: 1px solid #ccc"></textarea>
						</div>
						<button type="button" class="btn btn-success btn-block choose_btn" id="save_complainService_btn" style="margin:10px auto;">保存并关闭服务单</button>
					</form>
				</div>
			</div>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/complain/complain'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>